SoSFShort(3IV)

NAME
SoSFShort — field containing a short integer

INHERITS FROM
SoField > SoSField > SoSFShort

SYNOPSIS
#include <Inventor/fields/SoSFShort.h>

Methods from class SoSFShort:

static SoType
getClassTypeId()
virtual void
getTypeId() const
short
getValue() const
short
operator =(short newValue)
void
setValue(short newValue)
int
operator ==(const SoSFShort &f) const
int
operator !=(const SoSFShort &f) const

Methods from class SoField:

void
setIgnored(SbBool ignore)
SbBool
isIgnored() const
SbBool
isDefault() const
virtual SbBool
isOfType(SoType type) const
SbBool
set(const char *valueString)
void
get(SbString &valueString)
void
touch()
SbBool
connectFrom(SoField *fromField)
SbBool
connectFrom(SoEngineOutput *fromEngine)
void
disconnect()
SbBool
isConnected() const
SbBool
isConnectedFromField() const
SbBool
getConnectedField(SoField *&writingField) const
SbBool
isConnectedFromEngine() const
SbBool
getConnectedEngine(SoEngineOutput *&engineOutput) const
void
enableConnection(SbBool flag)
SbBool
isConnectionEnabled() const
int
getForwardConnections(SoFieldList &list) const
SoFieldContainer *
getContainer() const

DESCRIPTION
A field containing a short (16-bit) integer.

SoSFShorts are written to file as a single short integer value, represented as decimal, hexadecimal (beginning with '0x') or octal (beginning with '0') value.

METHODS
static SoType
getClassTypeId()
virtual void
getTypeId() const
Returns the type for this class or a particular object of this class.

short
getValue() const
Returns this field's value.

short
operator =(short newValue)
void
setValue(short newValue)
Sets this field to newValue.

int
operator ==(const SoSFShort &f) const
int
operator !=(const SoSFShort &f) const
Returns TRUE if f is of the same type and has the same value as this field.

SEE ALSO
SoField, SoSField, SoMFShort, SoSFUShort, SoSFInt32